Bug 1121699 - No documentation for a number of new OSE 2.1 commands
Summary: No documentation for a number of new OSE 2.1 commands
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Thien-Thi Nguyen
QA Contact: Alex Dellapenta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 15:56 UTC by Peter Robinson
Modified: 2016-08-05 01:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 20822, Administration Guide-2-1.0 Build Date: 09-07-2014 13:30:27 Topic IDs: 20798-592382 [Latest]
Last Closed: 2015-05-12 18:28:57 UTC


Attachments (Terms of Use)
tarball of XML files documenting missing commands (2.39 KB, application/x-tar)
2015-04-28 17:58 UTC, Thien-Thi Nguyen
no flags Details
patch to add xrefs for four commands (1.42 KB, patch)
2015-05-05 15:34 UTC, Thien-Thi Nguyen
no flags Details | Diff
latest (perhaps last) tarball (2.56 KB, application/x-tar)
2015-05-06 23:14 UTC, Thien-Thi Nguyen
no flags Details

Description Peter Robinson 2014-07-21 15:56:09 UTC
A number of command introduced in 2.1 aren't documented in the Administration guide:

They include at least:
oo-admin-clear-pending-ops
oo-admin-console-cache
oo-admin-ctl-team
oo-admin-ctl-usage
oo-admin-usage

They also aren't in alphabetical order so don't necessarily appear in the order that the user would see them on the command line.

Comment 10 Thien-Thi Nguyen 2015-04-28 17:58:05 UTC
Created attachment 1019812 [details]
tarball of XML files documenting missing commands

Here's the first draft, as a tarball named maybe-2015-04-28-1942.tar.xz, comprising the XML files of the missing commands.  I'm not marking it private because, who knows, some outside eyes might make it more interesting...

Comment 12 Thien-Thi Nguyen 2015-05-05 15:34:18 UTC
Created attachment 1022251 [details]
patch to add xrefs for four commands

Rather than send a complete new tarball, here instead is a small patch that more easily demonstrates the addition of the xrefs.  However, if you would like to review the tarball in its entirety, just let me know and i'll attach it.

Comment 13 Brenton Leanhardt 2015-05-06 18:48:10 UTC
That looks great!

Comment 14 Thien-Thi Nguyen 2015-05-06 23:14:44 UTC
Created attachment 1022839 [details]
latest (perhaps last) tarball

This incorporates the patch (attachment id 1022251).
Please note that the tables for oo-admin-usage and oo-admin-ctl-usage
are snarfed from the section with id="Viewing_Accumulated_Usage_Data",
and should arguably be deleted from there to effect a "move".

Comment 16 Thien-Thi Nguyen 2015-05-12 18:28:57 UTC
Looks good to me.  I also verified the See Also links.
Thanks bleanhar and alexd for helping (greatly!) to close this BZ.


Note You need to log in before you can comment on or make changes to this bug.